Debian Bug report logs - #324173
mozilla-firefox: Crashes when switching between tabs

version graph

Package: mozilla-firefox; Maintainer for mozilla-firefox is (unknown);

Reported by: Alberto Federico Turelli <bibe@atworkonline.it>

Date: Sat, 20 Aug 2005 18:03:02 UTC

Severity: important

Found in version mozilla-firefox/1.0.4-2sarge2

Fixed in version mozilla-firefox/1.0.4-2sarge3

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#324173; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Alberto Federico Turelli <bibe@atworkonline.it>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alberto Federico Turelli <bibe@atworkonline.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozilla-firefox: Crashes when switching between tabs
Date: Sat, 20 Aug 2005 19:49:59 +0200
Package: mozilla-firefox
Version: 1.0.4-2sarge2
Severity: important

Version 1.0.4-2sarge2 of mozilla-firefox seems to have an important
issue which renders tabbed navigation impossible.
Opening two or more tabs, both from right click -> Open link in New Tab
or from Bookmarks -> any folder -> Open in Tabs, and then selecting an
"hidden" tab, crashes Firefox with a segmentation fault.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (300, 'testing'), (100, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.11.12-at1
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages mozilla-firefox depends on:
ii  debianutils            2.8.4             Miscellaneous utilities specific t
ii  fontconfig             2.3.1-2           generic font configuration library
ii  libatk1.0-0            1.8.0-4           The ATK accessibility toolkit
ii  libc6                  2.3.2.ds1-22      GNU C Library: Shared libraries an
ii  libfontconfig1         2.3.1-2           generic font configuration library
ii  libfreetype6           2.1.7-2.4         FreeType 2 font engine, shared lib
ii  libgcc1                1:3.4.3-13        GCC support library
ii  libglib2.0-0           2.6.4-1           The GLib library of C routines
ii  libgtk2.0-0            2.6.4-3           The GTK+ graphical user interface 
ii  libidl0                0.8.5-1           library for parsing CORBA IDL file
ii  libjpeg62              6b-10             The Independent JPEG Group's JPEG 
ii  libkrb53               1.3.6-2sarge2     MIT Kerberos runtime libraries
ii  libpango1.0-0          1.8.1-1           Layout and rendering of internatio
ii  libpng12-0             1.2.8rel-1        PNG library - runtime
ii  libstdc++5             1:3.3.5-13        The GNU Standard C++ Library v3
ii  libx11-6               4.3.0.dfsg.1-14   X Window System protocol client li
ii  libxext6               4.3.0.dfsg.1-14   X Window System miscellaneous exte
ii  libxft2                2.1.7-1           FreeType-based font drawing librar
ii  libxp6                 4.3.0.dfsg.1-14   X Window System printing extension
ii  libxt6                 4.3.0.dfsg.1-14   X Toolkit Intrinsics
ii  psmisc                 21.5-1            Utilities that use the proc filesy
ii  xlibs                  4.3.0.dfsg.1-14   X Keyboard Extension (XKB) configu
ii  zlib1g                 1:1.2.2-4.sarge.2 compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#324173; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Cyril Thévenet <cyril.thevenet@free.fr>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 324173@bugs.debian.org (full text, mbox):

From: Cyril Thévenet <cyril.thevenet@free.fr>
To: Debian Bug Tracking System <324173@bugs.debian.org>
Subject: mozilla-firefox: Same problem here on ppc
Date: Sun, 21 Aug 2005 11:06:13 +0200
Package: mozilla-firefox
Version: 1.0.4-2sarge2
Followup-For: Bug #324173



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.8-hongrie.16
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages mozilla-firefox depends on:
ii  debianutils            2.14.1            Miscellaneous utilities specific t
ii  fontconfig             2.3.2-1           generic font configuration library
ii  libatk1.0-0            1.10.1-2          The ATK accessibility toolkit
ii  libc6                  2.3.2.ds1-22      GNU C Library: Shared libraries an
ii  libfontconfig1         2.3.2-1           generic font configuration library
ii  libfreetype6           2.1.7-2.4         FreeType 2 font engine, shared lib
ii  libgcc1                1:4.0.1-2         GCC support library
ii  libglib2.0-0           2.6.5-1           The GLib library of C routines
ii  libgtk2.0-0            2.6.8-1           The GTK+ graphical user interface 
ii  libidl0                0.8.5-1           library for parsing CORBA IDL file
ii  libjpeg62              6b-10             The Independent JPEG Group's JPEG 
ii  libkrb53               1.3.6-4           MIT Kerberos runtime libraries
ii  libpango1.0-0          1.8.2-1           Layout and rendering of internatio
ii  libpng12-0             1.2.8rel-1        PNG library - runtime
ii  libstdc++5             1:3.3.6-7         The GNU Standard C++ Library v3
ii  libx11-6               4.3.0.dfsg.1-14   X Window System protocol client li
ii  libxext6               4.3.0.dfsg.1-14   X Window System miscellaneous exte
ii  libxft2                2.1.7-1           FreeType-based font drawing librar
ii  libxp6                 4.3.0.dfsg.1-14   X Window System printing extension
ii  libxt6                 4.3.0.dfsg.1-14   X Toolkit Intrinsics
ii  psmisc                 21.6-1            Utilities that use the proc filesy
ii  xlibs                  4.3.0.dfsg.1-14   X Keyboard Extension (XKB) configu
ii  zlib1g                 1:1.2.2-4.sarge.2 compression library - runtime

mozilla-firefox recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#324173; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to jean-yves@lenhof.eu.org:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #15 received at 324173@bugs.debian.org (full text, mbox):

From: "LENHOF Jean-Yves" <jean-yves@lenhof.eu.org>
To: 324173@bugs.debian.org
Subject: Confirmation of this very serious bug
Date: Sun, 21 Aug 2005 19:43:02 +0200 (CEST)
I think the severity should be bumped... as now it is now in the official
update of sarge and this upgrade should not enter the official 3.1r1
release as it is a severe regression of functionnality...

If you have been hit by this very serious bug like me... you can remove
the package, commenting your security line in sources.list and install it
again.

Regards,

-- 
Jean-Yves LENHOF
http://www.lenhof.eu.org
jean-yves@lenhof.eu.org
Port Perso : 06 09 39 96 49 Fixe : 03 20 39 62 86
Tel Free ADSL (Dégroupage Free) :  08 71 76 47 32



Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alberto Federico Turelli <bibe@atworkonline.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 324173-done@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 324473-done@bugs.debian.org, 324516-done@bugs.debian.org, 324617-done@bugs.debian.org, 324173-done@bugs.debian.org, 324186-done@bugs.debian.org, 324311-done@bugs.debian.org, 324344-done@bugs.debian.org, 324544-done@bugs.debian.org, 324609-done@bugs.debian.org, 324657-done@bugs.debian.org, 324747-done@bugs.debian.org, 324752-done@bugs.debian.org, 324873-done@bugs.debian.org, 324876-done@bugs.debian.org, 324184-done@bugs.debian.org, 324204-done@bugs.debian.org, 324328-done@bugs.debian.org, 324345-done@bugs.debian.org, 324363-done@bugs.debian.org, 324366-done@bugs.debian.org, 324686-done@bugs.debian.org, 324689-done@bugs.debian.org, 325388-done@bugs.debian.org, 325454-done@bugs.debian.org, 325458-done@bugs.debian.org, 325612-done@bugs.debian.org
Subject: Fixed in mozilla-firefox 1.0.4-2sarge3
Date: Sun, 4 Sep 2005 00:49:25 -0400
[Message part 1 (text/plain, inline)]
Package: mozilla-firefox
Version: 1.0.4-2sarge3

Hello submitters,

Security update 1.0.4-2sarge2 was an extremely bug ridden release, it
generated a lot of bug reports. Instead of going through them all and
making sure they're all fixed, I'm going to assume 1.0.4-2sarge3 fixed
things and close them. If you're still experiencing problems under
1.0.4-2sarge3, please reopen.

Sorry for the trouble.

-- 
Eric Dorland <eric.dorland@mail.mcgill.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 12:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:40:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.